[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockZone.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 2551

`public constructor TDockZone.Create(`
`TheTree: TDockTree;`
`TheChildControl: TControl`
`);`

## Arguments

`TheTree` |  | The dock tree to which this zone belongs.
`TheChildControl` |  | The control in this zone (or Nil when unassigned).

## Description

Stores values passed in the TheTree and TheChild arguments to the Tree and ChildControl property. Sets the initial bounds for the dock zone to an empty rectangle. This causes the Top, Left, Width, and Height properties to contain 0 (zero).